From 1b5f5ebad29c4308876f386b9f2c5d16542cd610 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Martin=20Storsj=C3=B6?= <martin@martin.st>
Date: Fri, 31 Jan 2014 15:31:03 +0200
Subject: [PATCH] Add a libvlc jni helper method for getting the native audio
 sampling rate

---
 vlc-android/jni/aout.c |   11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/vlc-android/jni/aout.c b/vlc-android/jni/aout.c
index 02eae0f..bc146b4 100644
--- a/vlc-android/jni/aout.c
+++ b/vlc-android/jni/aout.c
@@ -245,3 +245,14 @@ void aout_close(void *opaque)
     (*myVm)->DetachCurrentThread (myVm);
     free (p_sys);
 }
+
+int aout_get_native_sample_rate(void)
+{
+    JNIEnv *p_env;
+    (*myVm)->AttachCurrentThread (myVm, &p_env, NULL);
+    jclass cls = (*p_env)->FindClass (p_env, "android/media/AudioTrack");
+    jmethodID method = (*p_env)->GetStaticMethodID (p_env, cls, "getNativeOutputSampleRate", "(I)I");
+    int sample_rate = (*p_env)->CallStaticIntMethod (p_env, cls, method, 3); // AudioManager.STREAM_MUSIC
+    (*myVm)->DetachCurrentThread (myVm);
+    return sample_rate;
+}
-- 
1.7.9.4

